Subject: [Autoconf] I-D ACTION:draft-ietf-autoconf-manetarch-03.txt

From: [email-masked]
Date: Tue, 19 Jun 2007 15:50:02 -0400

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.
This draft is a work item of the Ad-Hoc Network Autoconfiguration Working Group of the IETF.

	Title		: Mobile Ad hoc Network Architecture
	Author(s)	: I. Chakeres, et al.
	Filename	: draft-ietf-autoconf-manetarch-03.txt
	Pages		: 21
	Date		: 2007-6-19
	
This document discusses Mobile Ad hoc NETworks (MANETs).  It
   introduces basic MANET terms, characteristics, and challenges.  This
   document also defines several MANET entities and architectural
   concepts.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-autoconf-manetarch-03.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of 
the message. 
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the 
username "anonymous" and a password of your e-mail address. After 
logging in, type "cd internet-drafts" and then 
"get draft-ietf-autoconf-manetarch-03.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-autoconf-manetarch-03.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf

---

From: "Teco Boot" <[email-masked]>
Date: Wed, 20 Jun 2007 09:29:14 +0200

MANET-arch 4.1:
<skip>
Many protocols (e.g.  IPv6 neighbor discovery [RFC2461]) do not operate in
wireless networks with asymmetric reachability.
<skip>

After the update to -03; the statement is more precise. But I wonder if the
problem is described somewhere. ND is the IPv6 replacement for ARP and
performs much better than IPv4 ARP (RFC2461 3.1). I am aware it offers
additional functions and those doesn't always work with SBI. But on the
other hand, it provides NUD which is exactly what is needed with SBI.

IMHO support for mobility is a valid reason switching to IPv6. Having ND is
one argument. I would prefer a recommendation to use IPv6 as carrier for
packetBB, also for IPv4 routed traffic. This would eliminate a need for ARP.
I also prefer piggy bagging as much as possible. A way of doing this is
sending ND and MANET routing protocol data in a single frame (L2) or packet
(L3). Using ICMP ND as carrier is one idea. RFC2461 is made for it:

APPENDIX B: FUTURE EXTENSIONS
<skip>
Adding additional procedures for links where asymmetric and non-
transitive reachability is part of normal operations.  Such procedures might
allow hosts and routers to find usable paths on, e.g., radio links.
<skip>

Without some form of piggy bagging, we send packetBB and ND in separate
packets. This is a waste of resources.

Teco.

---

From: "Bound, Jim" <[email-masked]>
Date: Thu, 28 Jun 2007 23:40:56 -0400

Folks, my congrats to the authors and working group this is simply
wonderful progress and well written and clear. Not clear we should add
more and keep this as simple as it is now. I was very glad the IEEE
802.11s case was covered too.

Best,
/jim

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Tuesday, June 19, 2007 3:50 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Autoconf] I-D ACTION:draft-ietf-autoconf-manetarch-03.txt 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> This draft is a work item of the Ad-Hoc Network 
> Autoconfiguration Working Group of the IETF.
> 
> To remove yourself from the I-D Announcement list, send a 
> message to [email-masked] with the word 
> unsubscribe in the body of the message. 
> Internet-Drafts are also available by anonymous FTP. Login 
> with the username "anonymous" and a password of your e-mail 
> address. After logging in, type "cd internet-drafts" and then 
> http://www.ietf.org/shadow.html or 
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Below is the data which will enable a MIME compliant mail 
> reader implementation to automatically retrieve the ASCII 
> version of the Internet-Draft.
>